# Build configuration

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtdoc-everywhere-opensource-src-%{qtversion}%{?pre:-%{pre}}

Name:           qtdoc5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Documentation
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
# Upstream patches
# https://community.kde.org/Qt5PatchCollection
## repo: https://invent.kde.org/qt/qt/qtdoc
## branch: kde/5.15
## git format-patch v5.15.16-lts-lgpl
Patch0001:      0001-Android-keep-only-mandatory-arguments-for-configure-.patch
Patch0002:      0002-Doc-update-some-packages-for-Linux.patch
Patch0003:      0003-Android-update-linux-package-dependencies.patch
Patch0004:      0004-Remove-unneeded-italic-decoration.patch
Patch0005:      0005-Linux-Fix-library-xcb-spelling-errors.patch

BuildRequires:  qtbase5-common-devel
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5XmlPatterns)
BuildRequires:  qttools5-assistant
BuildRequires:  qttools5

Provides:       qt%{qtmajor}-qtdoc = %{version}-%{release}

BuildArch:      noarch
# Make sure if noarch package is built on a 64bit system that qmake is
# correctly found in the right path
%define qmake_qt5 %{_bindir}/qmake-qt5

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt%{qtmajor} Documentation.

%files
# Need to be splitted ?
%doc %{_qt5_docdir}/qtdoc.qch
%doc %{_qt5_docdir}/qtdoc/
%doc %{_qt5_docdir}/qtcmake.qch
%doc %{_qt5_docdir}/qtcmake/

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n qtdoc-everywhere-src-%{qtversion}

%build
%qmake_qt5
%make_build docs

%install
%make_install install_docs INSTALL_ROOT=%{buildroot}

find %{buildroot} -name '*.pro' -delete


%changelog
* Sat Jan 18 2025 daviddavid <daviddavid> 5.15.16-1.mga10
+ Revision: 2139648
- New version 5.15.16

* Wed Jan 17 2024 neoclust <neoclust> 5.15.12-1.mga10
+ Revision: 2031757
- New version 5.15.12

* Sat Dec 03 2022 neoclust <neoclust> 5.15.7-1.mga9
+ Revision: 1915397
- New version 5.15.7

* Sun Nov 20 2022 daviddavid <daviddavid> 5.15.6-3.mga9
+ Revision: 1909154
- make sure if noarch package is built on a 64bit system that qmake is
  correctly found in the right path using bindir path

* Sat Nov 05 2022 papoteur <papoteur> 5.15.6-2.mga9
+ Revision: 1903668
- rebuild for qmake_qt5 macro

* Sun Sep 11 2022 neoclust <neoclust> 5.15.6-1.mga9
+ Revision: 1886986
- New version 5.15.6

* Sat Aug 27 2022 neoclust <neoclust> 5.15.5-1.mga9
+ Revision: 1881293
- Remove qmake require, qt5 needs to be fixed to not provide qmake yet
- New version 5.15.5

* Wed Jun 22 2022 papoteur <papoteur> 5.15.2-4.mga9
+ Revision: 1865424
- Fix BR (qmake)

* Thu Jun 09 2022 papoteur <papoteur> 5.15.2-3.mga9
+ Revision: 1863668
- Fix build requires

* Tue Apr 05 2022 umeabot <umeabot> 5.15.2-2.mga9
+ Revision: 1844301
- Mageia 9 Mass Rebuild

* Fri Dec 04 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652451
- New version 5.15.2

* Sat Sep 12 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1624903
- New version 5.15.1

* Wed Jun 03 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1589816
- New version 5.15.0
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 20 2020 umeabot <umeabot> 5.14.1-2.mga8
+ Revision: 1545571
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 daviddavid <daviddavid> 5.14.1-1.mga8
+ Revision: 1484852
- New version 5.14.1

* Sun Sep 08 2019 neoclust <neoclust> 5.13.1-1.mga8
+ Revision: 1438485
- New version 5.13.1

* Sun Jul 14 2019 neoclust <neoclust> 5.13.0-2.mga8
+ Revision: 1421141
- Rebuild for new mkspecs macros

* Thu Jul 04 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1418168
- New version 5.13.0

* Mon Mar 18 2019 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1378532
- New version 5.12.2

* Fri Feb 01 2019 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1362277
- New version 5.12.1

* Tue Jan 01 2019 neoclust <neoclust> 5.12.0-1.mga7
+ Revision: 1348360
- New version 5.12.0

* Tue Oct 09 2018 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1319021
- New version 5.11.2

* Fri Sep 21 2018 umeabot <umeabot> 5.11.1-2.mga7
+ Revision: 1290595
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1245808
- New version 5.11.1

* Sun May 27 2018 neoclust <neoclust> 5.11.0-1.mga7
+ Revision: 1232543
- New version 5.11.0

* Mon Apr 09 2018 neoclust <neoclust> 5.10.1-1.mga7
+ Revision: 1216502
- New version 5.10.1

* Wed Feb 28 2018 neoclust <neoclust> 5.9.4-1.mga7
+ Revision: 1205676
- New version 5.9.4

* Mon Dec 18 2017 neoclust <neoclust> 5.9.3-1.mga7
+ Revision: 1183179
- New version 5.9.3

* Sun Jul 16 2017 neoclust <neoclust> 5.9.1-1.mga7
+ Revision: 1123564
- New version 5.9.1

* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-2.mga6
+ Revision: 1065048
- Rebuild against qtbase 5.6.2

* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 1064819
- New version 5.6.2

* Sun Jul 03 2016 neoclust <neoclust> 5.6.1-2.mga6
+ Revision: 1038371
- Update to version 5.6.1-1
- New version

* Fri Mar 18 2016 neoclust <neoclust> 5.6.0-2.mga6
+ Revision: 992740
- Fix release

* Wed Mar 16 2016 neoclust <neoclust> 5.6.0-1.rc.2.mga6
+ Revision: 992261
- New version

* Wed Mar 09 2016 neoclust <neoclust> 5.6.0-0.rc.2.mga6
+ Revision: 987841
- Rebuild Qt5 Stack to fix plasma crashes

* Sun Feb 28 2016 neoclust <neoclust> 5.6.0-0.rc.1.mga6
+ Revision: 980607
+ rebuild (emptylog)

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.3.mga6
+ Revision: 915934
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.2.mga6
+ Revision: 915796
- Rebuild against new cmake to have cmake() provides

* Sat Dec 19 2015 neoclust <neoclust> 5.6.0-0.beta.1.mga6
+ Revision: 911872
- New version 5.6.0 beta

* Tue Nov 10 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 900387
- Rebuild against fixed qtbase5

* Fri Oct 23 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 894494
- New version
+ filipesaraiva <filipesaraiva>
- Update to Qt 5.5.0 version;
- Fix URL to new address qt.io;

* Thu Jun 25 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 843926
- New version 5.5 rc

* Fri Dec 12 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 802796
- New version 5.4.0

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 801798
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 744990
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 umeabot <umeabot> 5.3.1-2.mga5
+ Revision: 738088
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639774
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624091
- 5.3.0 final

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621407
- 5.3.0 rc

* Sat Apr 05 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 612017
- 5.3.0beta

* Thu Feb 06 2014 fwang <fwang> 5.2.1-1.mga5
+ Revision: 584384
- 5.2.1

* Sat Dec 14 2013 fwang <fwang> 5.2.0-2.mga4
+ Revision: 556737
- 5.2.0 final

* Sun Dec 01 2013 fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554401
- 5.2.0 rc1

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.1.mga4
+ Revision: 547075
- 5.2.0 beta1
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 5.2.0-1.alpha.1.mga4
+ Revision: 491147
- 5.2.0alpha1

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.2.mga4
+ Revision: 428817
- Rebuild against new qt5 libs location

* Sun May 26 2013 neoclust <neoclust> 5.2.0-0.0.20130523.1.mga4
+ Revision: 428218
- New QT 5.2 Snapshot
- New QT 5.2 Snapshot

* Thu Apr 18 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410413
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 394025
- New version 5.0.1 Final

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392335
- New version 5.0.1 rc1

* Fri Jan 25 2013 fwang <fwang> 5.0.0-1.mga3
+ Revision: 392257
- install docs
- it should be a noarch package now
- br qhelpgenerator
- make docs
- 5.0.0 final
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ neoclust <neoclust>
- New daily rc snapshot

* Sat Nov 17 2012 neoclust <neoclust> 5.0.0-0.beta.16.mga3
+ Revision: 319206
- imported package qtdoc5

